Приглашения
Повторно отправить приглашение
Повторно отправить приглашение аккаунта
POST
/
v1
/
public
/
accounts
/
{account_id}
/
auth
/
invitations
/
{invitation_id}
/
resend
Повторно отправить приглашение аккаунта
curl --request POST \
--url https://api.hybridbox.io/v1/public/accounts/{account_id}/auth/invitations/{invitation_id}/resend \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"locale": "<string>"
}
'import requests
url = "https://api.hybridbox.io/v1/public/accounts/{account_id}/auth/invitations/{invitation_id}/resend"
payload = { "locale": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({locale: '<string>'})
};
fetch('https://api.hybridbox.io/v1/public/accounts/{account_id}/auth/invitations/{invitation_id}/resend', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"assignments": [
{
"assignment_kind": "<string>",
"position": 123,
"capability_key": "<string>",
"grant_kind": "<string>",
"group_id": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resource_type": "<string>",
"role_key": "<string>"
}
],
"email": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"permission_context": {
"assigned_bundle_keys": [
"<string>"
],
"direct_capability_keys": [
"<string>"
],
"owner_assignments": [
{
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"resolved_capability_keys": [
"<string>"
],
"status": "active",
"subject_id": "",
"subject_type": "unknown"
},
"status": "<string>",
"accepted_at": "2023-11-07T05:31:56Z",
"accepted_subject_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"note": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Авторизации
Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.
Тело
application/json
Схема запроса для повторной отправки ожидающего приглашения по электронной почте.
Необязательная локаль для транзакционного письма приглашения
Ответ
Hide child attributes
Hide child attributes
Общий снимок возможностей проверки для управления пользователями, группами и приглашениями.
Hide child attributes
Hide child attributes
Была ли эта страница полезной?
⌘I
Повторно отправить приглашение аккаунта
